[arch-commits] Commit in clojure/repos/community-any (8 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Thu Jul 18 13:44:10 UTC 2013


    Date: Thursday, July 18, 2013 @ 15:44:10
  Author: arodseth
Revision: 94268

archrelease: copy trunk to community-any

Added:
  clojure/repos/community-any/PKGBUILD
    (from rev 94267, clojure/trunk/PKGBUILD)
  clojure/repos/community-any/clj.sh
    (from rev 94267, clojure/trunk/clj.sh)
  clojure/repos/community-any/clojure.install
    (from rev 94267, clojure/trunk/clojure.install)
  clojure/repos/community-any/clojure.sh
    (from rev 94267, clojure/trunk/clojure.sh)
Deleted:
  clojure/repos/community-any/PKGBUILD
  clojure/repos/community-any/clj.sh
  clojure/repos/community-any/clojure.install
  clojure/repos/community-any/clojure.sh

-----------------+
 PKGBUILD        |   67 ++++++-------
 clj.sh          |  276 +++++++++++++++++++++++++++---------------------------
 clojure.install |   10 -
 clojure.sh      |    2 
 4 files changed, 178 insertions(+), 177 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2013-07-18 13:44:00 UTC (rev 94267)
+++ PKGBUILD	2013-07-18 13:44:10 UTC (rev 94268)
@@ -1,33 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Chris O'Donnell <christopher.p.odonnell at gmail.com>
-# Contributor: Sam May <sam.m4y at gmail.com>
-
-pkgname=clojure
-pkgver=1.5.1
-pkgrel=1
-pkgdesc='LISP dialect for the JVM'
-url='http://www.clojure.org/'
-arch=('any')
-license=('CPL')
-depends=('java-environment' 'sh')
-optdepends=('rlwrap: friendlier shell with readline support')
-install=clojure.install
-source=("http://repo1.maven.org/maven2/org/$pkgname/$pkgname/$pkgver/clojure-$pkgver.zip"
-        'clj.sh'
-        "$pkgname.sh")
-sha256sums=('fe7b32ca36c1a5451fe6fe0ea8ad25f7bc04beeb63e171e10464efd64c94f1e1'
-            '0d0f9e7db77f4b5f507ee18e140c29138b7bff5c4ca9d0b963dfd657c6e3c157'
-            'b3fa6257dad10fb39851e87563269b80b2473623126595d9c279bbd90e97f052')
-
-package() {
-  cd "$srcdir"
-
-  install -Dm755 clj.sh "$pkgdir/usr/bin/clj"
-  install -Dm755 "$pkgname.sh" "$pkgdir/etc/profile.d/$pkgname.sh"
-  install -Dm644 "$pkgname-$pkgver/$pkgname-$pkgver.jar" \
-    "$pkgdir/usr/share/$pkgname/$pkgname.jar"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: clojure/repos/community-any/PKGBUILD (from rev 94267, clojure/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2013-07-18 13:44:10 UTC (rev 94268)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Chris O'Donnell <christopher.p.odonnell at gmail.com>
+# Contributor: Sam May <sam.m4y at gmail.com>
+
+pkgname=clojure
+pkgver=1.5.1
+pkgrel=2
+pkgdesc='LISP dialect for the JVM'
+url='http://www.clojure.org/'
+arch=('any')
+license=('CPL')
+depends=('java-environment' 'sh')
+optdepends=('rlwrap: friendlier shell with readline support')
+install=clojure.install
+source=("http://repo1.maven.org/maven2/org/$pkgname/$pkgname/$pkgver/clojure-$pkgver.zip"
+        'clj.sh'
+        "$pkgname.sh")
+sha256sums=('fe7b32ca36c1a5451fe6fe0ea8ad25f7bc04beeb63e171e10464efd64c94f1e1'
+            '0d0f9e7db77f4b5f507ee18e140c29138b7bff5c4ca9d0b963dfd657c6e3c157'
+            'b3fa6257dad10fb39851e87563269b80b2473623126595d9c279bbd90e97f052')
+
+package() {
+  cd "$srcdir"
+
+  install -Dm755 clj.sh "$pkgdir/usr/bin/clj"
+  install -Dm755 clj.sh "$pkgdir/usr/bin/clojure"
+  install -Dm755 "$pkgname.sh" "$pkgdir/etc/profile.d/$pkgname.sh"
+  install -Dm644 "$pkgname-$pkgver/$pkgname-$pkgver.jar" \
+    "$pkgdir/usr/share/$pkgname/$pkgname.jar"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: clj.sh
===================================================================
--- clj.sh	2013-07-18 13:44:00 UTC (rev 94267)
+++ clj.sh	2013-07-18 13:44:10 UTC (rev 94268)
@@ -1,138 +0,0 @@
-#!/bin/sh
-#
-# A launcher script for Clojure programs. These environment variables can be
-# used to configure the script:
-#
-#   CLOJURE_HOME
-#       The root directory where Clojure is installed.
-#   CLOJURE_JAVA
-#       The name of the java executable used to run Clojure.
-#   CLOJURE_JAVA_OPTS
-#       Additional options to be passed to the java executable.
-#   CLOJURE_CLASSPATH
-#       A path to be added to Clojure's classpath.
-#   CLOJURE_LIBRARY_PATH
-#       A path to be searched for native code such as DLL's or JNI
-#       libraries. This gets added to the Java options as
-#       "-Djava.library.path=$CLOJURE_LIBRARY_PATH".
-#   CLOJURE_LIB
-#       This directory, and any jars inside it, will be automatically
-#       added to Clojure's classpath.
-#
-#   CLOJURE_JLINE
-#        This should be the path to Jline jar.
-# TODO:
-#   make CLOJURE_LIB a path instead of a single directory
-#   allow for adding to CLOJURE_LIB from the command line
-
-usage="\
-usage: clojure [options] [file1 [file2] ...]
-
-Options:
-  --help, -h          show this message
-  --java-cmd, -J      the Java executable to use
-  --java-opts, -j     add options to be passed on to the JVM
-  --classpath, -cp    add to Clojure's classpath
-  --library-path, -L  add to the path to search for native libraries
-  --verbose, -v       print initialization information
-"
-## read ~/.clojurerc for home configuration
-[ -e ~/.clojurerc ] && . ~/.clojurerc
-
-## read ./.clojurerc for project specific configuration
-[ -e ./.clojurerc ] && . ./.clojurerc
-
-if [ ! "$CLOJURE_HOME" ]; then
-    # Find the real path to Clojure's home directory if $0 is a symlink
-    #program="$0"
-    #while [ -h "$program" ]; do
-    #    ls=`ls -ld "$program"`
-    #    link=`expr "$ls" : '.*-> \(.*\)$'`
-    #    if expr "$link" : '.*/.*' >/dev/null; then
-    #        program="$link"
-    #    else
-    #        program="`dirname $program`/$link"
-    #    fi
-    #done
-    #script_dir=`dirname "$program"`
-    #relative_clojure_home=`dirname "$script_dir"`
-    #CLOJURE_HOME=`cd "$relative_clojure_home" && pwd`
-    . /etc/profile.d/clojure.sh
-fi
-
-if [ ! "$CLOJURE_JAVA" ]; then
-    CLOJURE_JAVA="java";
-fi
-
-if [ ! "$CLOJURE_JAVA_OPTS" ]; then
-    CLOJURE_JAVA_OPTS="-Dpid=$$"; # set the pid for SLIME
-fi
-
-if [ ! "$CLOJURE_CLASSPATH" ]; then
-    CLOJURE_CLASSPATH="."
-fi
-
-##  Add Clojure home jars.
-for jar in "$CLOJURE_HOME"/*.jar; do
-    CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$jar"
-done
-
-if [ -d "$CLOJURE_LIB" ]; then
-    CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$CLOJURE_LIB"
-    for jar in "$CLOJURE_LIB"/*.jar; do
-        CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$jar"
-    done
-fi
-
-# this is now the same for both the repl and for scripts
-main="clojure.main"
-repl=0
-verbose=0
-
-while true; do
-    case $1 in
-        -h|--help)
-            echo "$usage"; exit 1;;
-        -J|--java-cmd)
-            CLOJURE_JAVA="$2"; shift; shift;;
-        -j|--java-opts)
-            CLOJURE_JAVA_OPTS="$CLOJURE_JAVA_OPTS $2"; shift; shift;;
-        -cp|--classpath)
-            CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$2"; shift; shift;;
-        -L|--library-path)
-            if [ "$CLOJURE_LIBRARY_PATH" ]; then
-                CLOJURE_LIBRARY_PATH="$CLOJURE_LIBRARY_PATH:$2";
-            else
-                CLOJURE_LIBRARY_PATH="$2";
-            fi
-            shift; shift;;
-	-v|--verbose)
-	    verbose=1; shift;;
-        *) break;;
-    esac
-done
-
-[ $verbose -eq 1 ] && echo "$CLOJURE_CLASSPATH"
-
-# If we didn't get any files to load on the commandline, we want to run the
-# repl, with command line editing if available.
-[ $# -eq 0 ] && repl=1
-
-# If the classpath contains the JLine jar, use the JLine console runner
-if expr "$CLOJURE_CLASSPATH" : ".*jline.*\.jar" >/dev/null; then
-    [ $repl -eq 1 ] && jline="jline.ConsoleRunner"
-fi
-
-# Enable rlwrap if present
-if [ $repl -eq 1 ] && [ -z $jline ]; then
-    rlwrap=`type -p rlwrap`
-fi
-
-## Add CLOJURE_LIBRARY_PATH to the Java options if necessary
-if [ -n "$CLOJURE_LIBRARY_PATH" ]; then
-    CLOJURE_JAVA_OPTS="$CLOJURE_JAVA_OPTS -Djava.library.path=$CLOJURE_LIBRARY_PATH"
-fi
-
-cmd=`echo $rlwrap "$CLOJURE_JAVA" "$CLOJURE_JAVA_OPTS" -cp "$CLOJURE_CLASSPATH" $jline $main "$@"`
-[ $verbose -eq 1 ] && echo "$cmd"
-exec `echo $cmd`

Copied: clojure/repos/community-any/clj.sh (from rev 94267, clojure/trunk/clj.sh)
===================================================================
--- clj.sh	                        (rev 0)
+++ clj.sh	2013-07-18 13:44:10 UTC (rev 94268)
@@ -0,0 +1,138 @@
+#!/bin/sh
+#
+# A launcher script for Clojure programs. These environment variables can be
+# used to configure the script:
+#
+#   CLOJURE_HOME
+#       The root directory where Clojure is installed.
+#   CLOJURE_JAVA
+#       The name of the java executable used to run Clojure.
+#   CLOJURE_JAVA_OPTS
+#       Additional options to be passed to the java executable.
+#   CLOJURE_CLASSPATH
+#       A path to be added to Clojure's classpath.
+#   CLOJURE_LIBRARY_PATH
+#       A path to be searched for native code such as DLL's or JNI
+#       libraries. This gets added to the Java options as
+#       "-Djava.library.path=$CLOJURE_LIBRARY_PATH".
+#   CLOJURE_LIB
+#       This directory, and any jars inside it, will be automatically
+#       added to Clojure's classpath.
+#
+#   CLOJURE_JLINE
+#        This should be the path to Jline jar.
+# TODO:
+#   make CLOJURE_LIB a path instead of a single directory
+#   allow for adding to CLOJURE_LIB from the command line
+
+usage="\
+usage: clojure [options] [file1 [file2] ...]
+
+Options:
+  --help, -h          show this message
+  --java-cmd, -J      the Java executable to use
+  --java-opts, -j     add options to be passed on to the JVM
+  --classpath, -cp    add to Clojure's classpath
+  --library-path, -L  add to the path to search for native libraries
+  --verbose, -v       print initialization information
+"
+## read ~/.clojurerc for home configuration
+[ -e ~/.clojurerc ] && . ~/.clojurerc
+
+## read ./.clojurerc for project specific configuration
+[ -e ./.clojurerc ] && . ./.clojurerc
+
+if [ ! "$CLOJURE_HOME" ]; then
+    # Find the real path to Clojure's home directory if $0 is a symlink
+    #program="$0"
+    #while [ -h "$program" ]; do
+    #    ls=`ls -ld "$program"`
+    #    link=`expr "$ls" : '.*-> \(.*\)$'`
+    #    if expr "$link" : '.*/.*' >/dev/null; then
+    #        program="$link"
+    #    else
+    #        program="`dirname $program`/$link"
+    #    fi
+    #done
+    #script_dir=`dirname "$program"`
+    #relative_clojure_home=`dirname "$script_dir"`
+    #CLOJURE_HOME=`cd "$relative_clojure_home" && pwd`
+    . /etc/profile.d/clojure.sh
+fi
+
+if [ ! "$CLOJURE_JAVA" ]; then
+    CLOJURE_JAVA="java";
+fi
+
+if [ ! "$CLOJURE_JAVA_OPTS" ]; then
+    CLOJURE_JAVA_OPTS="-Dpid=$$"; # set the pid for SLIME
+fi
+
+if [ ! "$CLOJURE_CLASSPATH" ]; then
+    CLOJURE_CLASSPATH="."
+fi
+
+##  Add Clojure home jars.
+for jar in "$CLOJURE_HOME"/*.jar; do
+    CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$jar"
+done
+
+if [ -d "$CLOJURE_LIB" ]; then
+    CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$CLOJURE_LIB"
+    for jar in "$CLOJURE_LIB"/*.jar; do
+        CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$jar"
+    done
+fi
+
+# this is now the same for both the repl and for scripts
+main="clojure.main"
+repl=0
+verbose=0
+
+while true; do
+    case $1 in
+        -h|--help)
+            echo "$usage"; exit 1;;
+        -J|--java-cmd)
+            CLOJURE_JAVA="$2"; shift; shift;;
+        -j|--java-opts)
+            CLOJURE_JAVA_OPTS="$CLOJURE_JAVA_OPTS $2"; shift; shift;;
+        -cp|--classpath)
+            CLOJURE_CLASSPATH="$CLOJURE_CLASSPATH:$2"; shift; shift;;
+        -L|--library-path)
+            if [ "$CLOJURE_LIBRARY_PATH" ]; then
+                CLOJURE_LIBRARY_PATH="$CLOJURE_LIBRARY_PATH:$2";
+            else
+                CLOJURE_LIBRARY_PATH="$2";
+            fi
+            shift; shift;;
+	-v|--verbose)
+	    verbose=1; shift;;
+        *) break;;
+    esac
+done
+
+[ $verbose -eq 1 ] && echo "$CLOJURE_CLASSPATH"
+
+# If we didn't get any files to load on the commandline, we want to run the
+# repl, with command line editing if available.
+[ $# -eq 0 ] && repl=1
+
+# If the classpath contains the JLine jar, use the JLine console runner
+if expr "$CLOJURE_CLASSPATH" : ".*jline.*\.jar" >/dev/null; then
+    [ $repl -eq 1 ] && jline="jline.ConsoleRunner"
+fi
+
+# Enable rlwrap if present
+if [ $repl -eq 1 ] && [ -z $jline ]; then
+    rlwrap=`type -p rlwrap`
+fi
+
+## Add CLOJURE_LIBRARY_PATH to the Java options if necessary
+if [ -n "$CLOJURE_LIBRARY_PATH" ]; then
+    CLOJURE_JAVA_OPTS="$CLOJURE_JAVA_OPTS -Djava.library.path=$CLOJURE_LIBRARY_PATH"
+fi
+
+cmd=`echo $rlwrap "$CLOJURE_JAVA" "$CLOJURE_JAVA_OPTS" -cp "$CLOJURE_CLASSPATH" $jline $main "$@"`
+[ $verbose -eq 1 ] && echo "$cmd"
+exec `echo $cmd`

Deleted: clojure.install
===================================================================
--- clojure.install	2013-07-18 13:44:00 UTC (rev 94267)
+++ clojure.install	2013-07-18 13:44:10 UTC (rev 94268)
@@ -1,5 +0,0 @@
-## arg 1:  the new package version
-post_install() {
-  echo 'Remember to relogin or source /etc/profile.d/clojure.sh manually'
-}
-

Copied: clojure/repos/community-any/clojure.install (from rev 94267, clojure/trunk/clojure.install)
===================================================================
--- clojure.install	                        (rev 0)
+++ clojure.install	2013-07-18 13:44:10 UTC (rev 94268)
@@ -0,0 +1,5 @@
+## arg 1:  the new package version
+post_install() {
+  echo 'Remember to relogin or source /etc/profile.d/clojure.sh manually'
+}
+

Deleted: clojure.sh
===================================================================
--- clojure.sh	2013-07-18 13:44:00 UTC (rev 94267)
+++ clojure.sh	2013-07-18 13:44:10 UTC (rev 94268)
@@ -1 +0,0 @@
-export CLOJURE_HOME=/usr/share/clojure

Copied: clojure/repos/community-any/clojure.sh (from rev 94267, clojure/trunk/clojure.sh)
===================================================================
--- clojure.sh	                        (rev 0)
+++ clojure.sh	2013-07-18 13:44:10 UTC (rev 94268)
@@ -0,0 +1 @@
+export CLOJURE_HOME=/usr/share/clojure




More information about the arch-commits mailing list